# $Revision: 1.20 $, $Date: 2002/08/13 22:05:11 $
%include	/usr/lib/rpm/macros.perl
Summary:	VRML - Specification independent VRML methods (1.0, 2.0, 97)
Summary(pl):	Modu VRML - metody VRML niezalene od specyfikacji (1.0, 2.0, 97)
Name:		perl-VRML
Version:	1.04
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/VRML/VRML-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These modules were conceived for the production of VRML worlds on WWW
servers via CGI and/or for generating abstract worlds. They are the
clarity of Perl scripts with VRML code to increase and (hopefully)
for VRML beginners the entrance in VRML facilitate.

%description -l pl
Te moduy byy pomylane do tworzenia wiatw VRML na serwerach WWW
poprzez CGI i/lub generowania abstrakcyjnych wiatw. cz klarowno
skryptw Perla z kodem VRML, aby uprzystpni tworzenie VRML,
szczeglnie pocztkujcym.

%prep
%setup -q -n VRML-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.TXT
%{perl_sitelib}/VRML.pm
%{perl_sitelib}/VRML
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-VRML.spec,v $
Revision 1.20  2002/08/13 22:05:11  qboosh
- pl description, new %%doc, release 9

Revision 1.19  2002/08/11 19:36:52  radek
- release up

Revision 1.18  2002/08/11 19:33:00  radek
- (automatic) provided informative description

Revision 1.17  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 21:02:08  marcus
- rel.7.

Revision 1.15  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:38:41  depesz
adapterized

Revision 1.13  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:18:18  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:49:40  kloczek
- typo.

Revision 1.8  2001/01/26 02:29:19  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
